using LoginPI.Engine.ScriptBase;

public class powerpoint : ScriptBase
{
    void Execute()
    {
        // Define variables
        var SaveAsTitle = "Save As";
        var OverWriteTitle = "Confirm Save As";
        var TransitionName = "Push";
        var PresentationName = "PowerPoint Slide Show*";
          
        START();

        // Create new presentation and first slide
        MainWindow.Type("{CTRL+n}",cpm:0);
        StartTimer("First_slide");
        MainWindow.Type("Login PI3");
        MainWindow.Type("{CTRL+ENTER}",cpm:0);
        MainWindow.Type("Powerpoint Presentation");
        StopTimer("First_slide");

        // Select a theme
        MainWindow.Type("{ALT+g}");
        MainWindow.FindControlWithXPath(xPath : "Pane:MsoCommandBarDock/ToolBar:MsoCommandBar/Pane:MsoWorkPane/Pane:NUIPane/Pane:NetUIHWNDElement/Pane:NetUInetpane/Pane:NetUIPanViewer/*NetUIOrderedGroup/Group:NetUIChunk/Group:NetUIElement/MenuItem:NetUIAnchor/Pane:NetUIScrollViewer/DataGrid:NetUIGalleryButtonGroup/ListItem:NetUIGalleryButton[2]",continueOnError:true)?.Click();

        // Create second slide
        StartTimer("Second_slide");
        MainWindow.Type("{CTRL+m}", cpm: 0);
        MainWindow.Type("{TAB}");
        MainWindow.Type("Use Login PI for:");
        MainWindow.Type("{CTRL+ENTER}");
        MainWindow.Type("Performance monitoring");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Application testing");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Performance comparison");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Availability testing");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("And more...");
        Wait(1);
        
        MainWindow.Type("{ALT+K}");
        MainWindow.FindControl(title : TransitionName).Click();
        StopTimer("Second_slide");
        
        // Do a presentation and close it
        Wait(1);
        MainWindow.Type("{F5}");
        var PresentationWindow = FindWindow(title : PresentationName);
        Wait(5);
        PresentationWindow.Type("{SPACE}");
        Wait(5);
        PresentationWindow.Type("{ESC}");

        // Saving the file in temp
        MainWindow.Type("{CTRL+s}",cpm:0);
        MainWindow.Type("{ALT+a+o}",cpm:0);

        var SaveAs = FindWindow(title:SaveAsTitle);
        SaveAs.Type(@"%temp%\LoginPI\powerpointpi.pptx",cpm:0);
        StartTimer("Saving_file");
        SaveAs.Type("{ENTER}");
        var Saved = FindWindow(title: "*powerpointpi*",timeout:10,continueOnError:true);
        if (Saved != null){
            StopTimer("Saving_file");
            Log("File is saved");
        }
        else{
        var OverWriteWindow = FindWindow (title:OverWriteTitle,timeout:3);
            CancelTimer("Saving_file");
            OverWriteWindow.Type("{LEFT}");
            StartTimer("Saving_file");
            OverWriteWindow.Type("{ENTER}");
            FindWindow(title: "*powerpointpi*",timeout:10);
            StopTimer("Saving_file");
            Log("File is overwritten");
        }
        Wait(1);

        STOP();

    }
}
