using LoginPI.Engine.ScriptBase;

public class StartStop : ScriptBase
{
    void Execute()
    {
        // ----------- START -----------
        // DESCRIPTION
        // START executes the associated application
        // It will create the mainWindow variable
        // START accepts multiple parameters (the xRay application in the Tools folder in the LoginVSI Toolset can detect these parameters)
        // All parameters are optional. The START command can detect the window from the process that is started

        // PARAMETER LIST
        // 1: mainWindowTitle defines the title of the window. Example: "Untitled - Notepad"
        // 2: mainWindowClass defines the class of the window. Example: "Win32 Window:Notepad"
        // 3: processName defines the processname of the window. Example: "notepad"
        // 4: timeout is the maximum amount of seconds the window can take to appear. After the timeout is reached the engine will throw an error. 
        //    The default timeout is 180 seconds
        // 5: continueOnError is set to false by default 
        // NOTE: you can use wild cards (*) for mainWindowTitle, mainWindowClass and process. For example: "* - Notepad"

        // EXAMPLES
        START(mainWindowTitle:"Untitled - Notepad",mainWindowClass:"Win32 Window:Notepad",processName:"notepad",timeout:10, continueOnError:false);


        // ----------- STOP -----------
        // DESCRIPTION
        // STOP exits the application gracefully.

        // PARAMETER LIST
        // 1: Timeout is the maximum amount of seconds the application can take to gracefully stop. After the timeout is reached the application is closed forcefully
        //    The default timeout is 5 seconds

        // EXAMPLES
        STOP(timeout:20);
    }
}
