using LoginPI.Engine.ScriptBase;

public class FileRegistry : ScriptBase
{
    void Execute()
    {
        // ----------- COPYFILE -----------
        // DESCRIPTION
        // CopyFile copies a file from the source to the destination path while overwriting the destination

        // PARAMETER LIST
        // 1: sourcepath defines the file to copy
        // 2: destinationPath defines the destination of the file
        // 3: continueOnError, we can indicate if the engine should keep going with the next set of actions in case of a error. This could be especially helpful with if else statements. 

        // EXAMPLES
        CopyFile(sourcePath:"C:\\somefile.txt",destinationPath:"D:\\somefile.txt",continueOnError:false);

        

        // ----------- COPYFOLDER -----------
        // DESCRIPTION
        // CopyFolder copies a folder from the source to the destination path while overwriting the destination
        
        // PARAMETER LIST
        // 1: sourcepath defines the folder to copy
        // 2: destinationPath defines the destination of the folder
        // 3: continueOnError, we can indicate if the engine should keep going with the next set of actions in case of a error. This could be especially helpful with if else statements. 

        //EXAMPLES
        CopyFolder(sourcePath:"C:\\somefolder",destinationPath:"D:\\somefolder",continueOnError:false); //  Copy's the source folder to the destinationpath. This will overwrite anything with the same name in the destination



        // ----------- REMOVEFILE -----------
        // DESCRIPTION
        // RemoveFile removes the specified file

        // PARAMETER LIST
        // 1: path the path to the file to be removed
        // 2: continueOnError, we can indicate if the engine should keep going with the next set of actions in case of a error. This could be especially helpful with if else statements. 

        // EXAMPLES
        RemoveFile(path:"C:\\somefile.txt",continueOnError:false); //Removes the specified file 



        // ----------- REMOVEFOLDER -----------
        // DESCRIPTION
        // RemoveFolder removes the specified folder recursively

        // PARAMETER LIST
        // 1: path the path to the folder to be removed
        // 2: continueOnError, we can indicate if the engine should keep going with the next set of actions in case of a error. This could be especially helpful with if else statements. 

        // EXAMPLES
        RemoveFolder(path:"C:\\somefolder",continueOnError:false); //  Removes the specified folder



        // ----------- REGIMPORT -----------
        // DESCRIPTION
        // RegImport uses reg.exe to import a registry file

        // PARAMETER LIST
        // 1: registryFile is the path to the registry file to import
        // 2: continueOnError, we can indicate if the engine should keep going with the next set of actions in case of a error. This could be especially helpful with if else statements. 

        // EXAMPLES
        RegImport(registryFile:"C:\\Registryfile.reg",continueOnError:false);
    }
}