using LoginPI.Engine.ScriptBase;

public class Type : ScriptBase
{
    void Execute()
    {
        // ----------- Type -----------
        // DESCRIPTION
        // Type is for typing text or executing commands. Type will hold the focus of the current window while typing
        
        // PARAMETER LIST
        // 1: cpm is the typing speed in Characters Per Minute. The default is 300.
        
        // EXAMPLES
        Type("Insert text here",cpm:300);           // This will type normal text
        Type("{ENTER}");                            // This will execute an ENTER command.
        Type("{ENTER}".Repeat(2));                  // This will execute an ENTER command twice.
        Type("C:\\Folder\\Folder1\\something.txt"); // Backslash is an escape character. Commonly used in typing paths
        Type(@"C:\Folder\Folder1\something.txt");   // You can also accomplish this by entering a @ sign in front of you text. Keep in mind that this will escape all special characters. 
        MainWindow.Type("Insert text here");        // Typing to a window variable will keep the focus on that window
        Type("THIS WILL BE CAPITAL TEXT");          // This text will be typed in uppercase
        Type("insert non-capital text here");       // This text will be typed in lowercase

        
        // ----------- KeyDown & KeyUp
        // DESCRIPTION
        // KeyDown and KeyUp will hold/release the defined key

        // PARAMETER LIST
        // 1: KeyCode defines the key

        // EXAMPLES
        KeyDown(KeyCode.CTRL);                 // Holds the CTRL key
        KeyUp(KeyCode.CTRL);                   // Releases the CTRL key

    }
}
