using LoginPI.Engine.ScriptBase;

public class Timers : ScriptBase
{
    void Execute()
    {
        // ----------- TIMERS -----------
        // DESCRIPTION
        // Timers can be used to measure the time one or more actions take within the script
        // These timers are reported back to the PI server as measurements
        // These measurements show up in the dashboard, charting and might trigger a notification if the measurement is over the configured threshold
        // You can start, stop and cancel timers

        // PARAMETER LIST
        // 1: name defines the name of the timer

        // NOTE: timers can be started and stopped once per script. DO NOT USE THEM IN A LOOP

        // EXAMPLES
        StartTimer(name:"Create_New_File");

        StopTimer(name:"Create_New_File");

        CancelTimer(name:"Create_New_File");
    }
}
