using System.Diagnostics;
using System;
using LoginPI.Engine.ScriptBase;

public class Shell : ScriptBase
{
    void Execute()
    {
        // ----------- SHELLEXECUTE -----------
        // DESCRIPTION
        // With ShellExecute we can call any process within a script.

        // PARAMETER LIST
        // 1: WaitforProcessEnd defines if the engine will wait for the process to finish before continuing. The default value is true
        // 2: Timeout defines how long to wait for the process. After the timeout is exceeded the process is killed. The default value is 180 seconds
        // 3: 

        // EXAMPLES
        var cmd = ShellExecute("cmd /c dir",waitForProcessEnd:false,timeout:20,forceKillOnExit:false); // Will execute cmd.exe with the parameter /c and executes the dir command. It'll leave the cmd window open
        
        // CONTROL ACTION EXAMPLES
        // When the engine finds the control it can perform multiple actions on the control

        cmd.Stop();                         // Stop gracefully exits and if needed kills the process
        cmd.GetMainWindow();                // GetMainWindow returns the window object (same as the object FindWindow returns)
        Log($"{cmd.ProcessHasExited}");     // ProcessHasExited returns a boolean
        Log($"{cmd.ProcessExitCode}");      // ProcessExitCode returns the exit code
        
        
        if(cmd.ProcessExitCode == 0)
        {
            Log("Succesfully exited");
        }
        else
        {
            Log($"cmd has exited with errorcode {cmd.ProcessExitCode}");
        }
       
    }
}
