using LoginPI.Engine.ScriptBase;

public class DumpHierarchy : ScriptBase
{
    void Execute()
    {
        // ----------- DUMPHIERARCHY -----------
        // DESCRIPTION
        // For troubleshooting purposes we have a DumpHierarchy method. 
        // Every window has a control tree with all classes and names. DumpHierarchy dumps this tree to a text file

        // PARAMETER LIST
        // 1: filepath defines where to store the dump
        // 2: refreshbeforeDump defines if we should refresh the control tree before the dump. Default is false.
        
        // EXAMPLES
        var Open = FindWindow(title:"Open");
        Open.DumpHierarchy(filePath:"C:\\dump.txt");
    }

}